## yaml-cpp 0.6.3

=== debian/changelog ===
yaml-cpp (0.6.3-7+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 0.6.2-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 18 Jan 2019 20:49:45 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 19 May 2020 08:30:53 +0000

yaml-cpp (0.6.3-7) unstable; urgency=medium

  * Team upload
  [ Adrian Bunk ]
  * From Adrian Bunk, fix other c++ symbols that broke ABI
    (Closes: #959201)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 May 2020 19:26:42 +0200

yaml-cpp (0.6.3-6) unstable; urgency=medium

  * Ack NMUs, thanks a bunch Gianfranco!
    - Add him as a co-maintainer so he doesn't have to grandfather in team
      uploads.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 10 May 2020 14:15:46 -0500

yaml-cpp (0.6.3-5) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #843918)
    + Let dh_auto_configure pass cross flags
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 May 2020 17:34:48 +0200

yaml-cpp (0.6.3-4) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Use -g1 optimization level to fix FTBFS on mipsel

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 23:34:57 +0200

yaml-cpp (0.6.3-3) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Lower mipsel build to parallel=1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 19:17:53 +0200

yaml-cpp (0.6.3-2) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Fix mipsel build by lowering to parallel=2 there (Closes: #959402)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 15:42:46 +0200

yaml-cpp (0.6.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update also symbols file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 14:15:10 +0200

yaml-cpp (0.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Revert ABI changes in new release (Closes: #959201)
    - debian/patches/revert-774f25800e6f19f4b927023c85d1389af322da5e.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 13:15:00 +0200

yaml-cpp (0.6.3-1) unstable; urgency=medium

  * New upstream release (Closes: #958505).
    - Refresh patches.
    - BUILD_SHARED_LIBS -> YAML_BUILD_SHARED_LIBS cmake flag.
    - Update symbols from amd64 build log.
  * Add the following CVE patches:
    - fix-CVE-2017-11692.patch
      + Fixes CVE-2017-11692 (Closes: #870326).
    - fix-unbounded-recursion-depth.patch
      + Fixes CVE-2017-5950 (Closes: #859891).
      + Fixes CVE-2018-20573 (Closes: #918147).
      + Fixes CVE-2018-20574 (Closes: #918145).
      + Fixes CVE-2019-6285 (Closes: #919432, 919430).
  * Migrate to using the debhelper-compat dependency.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper 13.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 29 Apr 2020 20:24:07 -0500
