## yaml-cpp 0.7.0%2Bdfsg

=== debian/changelog ===
yaml-cpp (0.7.0+dfsg-8deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:59:02 +0800

yaml-cpp (0.7.0+dfsg-8) unstable; urgency=medium

  * Ack previous NMU, thanks!
  * Add patch from Jochen Sprickerhof to export YAML_CPP_LIBRARIES.
    (Closes: #999594)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Nov 2021 21:48:59 +0100

yaml-cpp (0.7.0+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the symbols file to properly declare libyaml-cpp0.7 as dependency,
    instead of libyaml-cpp.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 07:50:10 +0100

yaml-cpp (0.7.0+dfsg-7) unstable; urgency=medium

  * Add R^3: no
  * Refresh symbols for sh4 and Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Nov 2021 21:46:27 +0100

yaml-cpp (0.7.0+dfsg-6) unstable; urgency=medium

  * Remove Breaks/Replaces on libyaml-cpp0.6.
  * Upload to Sid.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 11 Nov 2021 07:29:18 -0600

yaml-cpp (0.7.0+dfsg-5) experimental; urgency=medium

  * Another symbols update.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 26 Oct 2021 23:28:47 -0500

yaml-cpp (0.7.0+dfsg-4) experimental; urgency=medium

  * Add missing build dependencies.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 19 Oct 2021 06:45:05 -0500

yaml-cpp (0.7.0+dfsg-3) experimental; urgency=medium

  [ Simon Quigley ]
  * Fully update symbols from all architectures.

  [ Gianfranco Costamagna ]
  * Update the googletest patch with an approach that has been proposed
    upstream in: https://github.com/jbeder/yaml-cpp/pull/1035

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 17 Oct 2021 05:55:45 -0500

yaml-cpp (0.7.0+dfsg-2) experimental; urgency=medium

  * Mark some symbols as optional.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 13 Oct 2021 17:29:57 -0500

yaml-cpp (0.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Remove reverse-applicable patches and refresh existing ones.
    - libyaml-cpp0.6 -> libyaml-cpp0.7.
  * Add patch from upstream PR #984 to fix building with the new version.
  * Disable inclusion of the googletest build output.
  * Use the archive googletest instead of an embedded copy.
  * Update Standards-version to 4.6.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 23 Sep 2021 06:31:17 -0500

yaml-cpp (0.6.3-10) unstable; urgency=medium

  * Mark symbols as optional not seen when building with lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Mar 2021 22:04:27 +0100

yaml-cpp (0.6.3-9) unstable; urgency=medium

  * Fix pkg-config and cmake wrong files and paths. LP: #1880419

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 May 2020 17:56:33 +0200

yaml-cpp (0.6.3-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't build tests for DEB_BUILD_OPTIONS=nocheck.
    (Closes: #960167)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 May 2020 10:29:07 +0200
