=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: yaml-cpp
-Maintainer: Simon Quigley <tsimonq2@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Simon Quigley <tsimonq2@debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               googletest (>= 1.10.0),
+               libgmock-dev (>= 1.10.0),
+               libgtest-dev (>= 1.10.0)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/yaml-cpp
 Vcs-Git: https://salsa.debian.org/debian/yaml-cpp.git
 Homepage: https://github.com/jbeder/yaml-cpp
 
-Package: libyaml-cpp0.6
+Package: libyaml-cpp0.7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -24,7 +30,7 @@
 Package: libyaml-cpp-dev
 Architecture: any
 Section: libdevel
-Depends: libyaml-cpp0.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libyaml-cpp0.7 (= ${binary:Version}), ${misc:Depends}
 Description: YAML parser and emitter for C++ - development files
  yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
  human-readable data serialization format.
