## yaml-cpp 0.8.0+dfsg

=== debian/changelog ===
yaml-cpp (0.8.0+dfsg-9) unstable; urgency=medium

  * Cherry-pick 3 fixes for cmake from upstream
    - 1211.patch
    - 1171.patch
    - 1351.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Oct 2025 17:35:05 +0200

yaml-cpp (0.8.0+dfsg-8) unstable; urgency=medium

  * debian/patches/c9371de7836d113c0b14bfa15ca70f00ebb3ac6f.patch:
    - cherry-pick upstream fix for cmake 4 (Closes: #1113653)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Oct 2025 17:23:25 +0200

yaml-cpp (0.8.0+dfsg-7) unstable; urgency=medium

  * Run wrap-and-sort.
  * Update Standards-Version to 4.7.0, no changes needed.
  * Add my name to the packaging copyright.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 18 Feb 2025 15:10:35 -0600

yaml-cpp (0.8.0+dfsg-6) unstable; urgency=medium

  * Fix hurd build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Oct 2023 17:58:47 +0200

yaml-cpp (0.8.0+dfsg-5) unstable; urgency=medium

  * Revert "Update symbols from build logs."
    - this update FTBFS (Closes: #1054153)
  * Use upstream merged patch to use system googletest version
  * Switch to gnu++20, to avoid gnu++11 being used as default (and
    not being compatible with system gtest)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Oct 2023 09:06:26 +0200

yaml-cpp (0.8.0+dfsg-4) unstable; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 09 Oct 2023 10:43:08 -0500

yaml-cpp (0.8.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 20:08:28 +0200

yaml-cpp (0.8.0+dfsg-2) experimental; urgency=medium

  * Add simple .gitlab-ci.yml to have CI/CD
  * Add proposed upstream patch to fix testsuite on newer glibc/gcc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2023 09:42:49 +0200

yaml-cpp (0.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update soname
  * Drop all patches except for googletest one
  * Update copyright file
  * Update std-version to 4.6.2
  * Fix nocheck build profile
  * Update clean target to remove build directories
  * Drop mipsel hack in rules file
  * Mark the package as M-A
  [ Emrah Ayanoglu ]
  * Update watch file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 19:22:16 +0200
