=== debian/watch ===
version=4

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+dfsg \
    https://github.com/jbeder/yaml-cpp/tags .*/[relasymcp.-]*(\d\S*)\.tar\.gz
