=== debian/changelog ===
yaml-cpp (0.9.0+dfsg-2) experimental; urgency=medium

  [ Gianfranco Costamanga ]
  * Add untested upstream patch to fix 32 bit test failures

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 18 Feb 2026 12:52:43 -0600

yaml-cpp (0.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * Remove patches, they are all reverse-applicable.
  * Rename libyaml-cpp0.8 -> libyaml-cpp0.9.
  * Update Files-Excluded to googletest-1.13.0.
  * Update symbols from amd64 build log.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 16 Feb 2026 10:31:17 -0600
