=== debian/control ===
Source: yaml-cpp
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Section: devel
Build-Depends: debhelper-compat (= 13),
               cmake,
               googletest (>= 1.10.0),
               libgmock-dev (>= 1.10.0),
               libgtest-dev (>= 1.10.0)
Standards-Version: 4.7.3
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/yaml-cpp
Vcs-Git: https://salsa.debian.org/debian/yaml-cpp.git
Homepage: https://github.com/jbeder/yaml-cpp

Package: libyaml-cpp0.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Architecture: any
Section: libdevel
Depends: libyaml-cpp0.9 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.
